{# AppBundle/Resources/views/layout.html.twig #}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="{{ asset('bundles/app/images/icon.png') }}"/>

    <title>{% block window_title %}Espace citoyen.ne.s|{% endblock %}</title>
    {% block stylesheets %}
        <link rel="stylesheet" href="{{ asset('bundles/app/css/private_timeline.css') }}"/>
        <link rel="stylesheet" href="{{ asset('bundles/app/css/bootstrap.min.css') }}">
        <link rel="stylesheet" href="{{ asset('bundles/app/css/bootstrap-dialog.css') }}">
        <link rel="stylesheet" href="{{ asset('bundles/app/css/bootstrap-datepicker3.css') }}">
        <link rel="stylesheet" href="{{ asset('bundles/app/css/bootstrap-datetimepicker.css') }}">
        <link rel="stylesheet" href="{{ asset('bundles/app/font-awesome-4.7.0/css/font-awesome.min.css') }}">
        <link rel="stylesheet" href="{{ asset('bundles/app/css/citoyen.css') }}">{# En dernier pour éviter les !important #}
        <link href="https://fonts.googleapis.com/css?family=Over+the+Rainbow" rel="stylesheet">
        <link rel="stylesheet" href="{{ asset('build/main.css') }}">

        {#{{ encore_entry_link_tags('main') }}#}
    {% endblock %}

</head>

<body id="body">
<div id="main" class="containerPrivate" style="margin-top: 1em; max-width: none">
    <div class="row">
        <div class="col-sm-9 privateMainTitle {{ color|default(null) ? color : ' blue' }}Color">
            <strong>{% block page_title %}Espace citoyen.ne.s{% endblock %}</strong>
        </div>
        <div class="col-sm-3">
            <div class="privateImageTitle">
                <img src="{{ asset('bundles/app/images/title.jpg') }}"
                     alt="Décoration reprenant le code couleur du site">
            </div>
        </div>
    </div>

    <div class="container2" id="content" style="display: inherit;max-width: inherit">
        {% block header %}
            <header>
                <div class="baseLine {% if server=="preprod" %}greenBackColor {% else %}blueBackColor{% endif %}">
                    <div class="row">
                        <div class="col-sm-9">
                            <h3>
                                <strong>{% block page_subtitle1 %}{% endblock %}</strong><br>
                                <em>{% block page_subtitle2 %}{% endblock %}</em>
                                {% if server=="preprod" %}
                                    <span class="pull-right">Site de test</span>
                                {% endif %}
                            </h3>
                        </div>
                        <div class="col-sm-3">
                            {#<div class="imageTitle"><img src="{{ asset('bundles/app/images/title.jpg') }}"></div>#}
                        </div>
                    </div>
                </div>
            </header>
        {% endblock %}

        {% include 'AppBundle::navigation.html.twig' %}

        {% block flashes %}
            <div id="flashes" class="row">
                <div class="col-sm-12">
                    {% include 'AppBundle::flashes.html.twig' %}
                </div>
            </div>
        {% endblock %}

        {% block body %}
            <div class="row">
                <div class="col-sm-12">
                    <div class="innerPage">
                        {% block innerPage %}
                        {% endblock %}
                    </div>
                </div>
            </div>
            {% block fos_user_content %}
            {% endblock fos_user_content %}

        {% endblock %}

    </div>
</div>

{# FOOTER #}
{% include 'AppBundle::footer.html.twig' %}

{# MODAL #}
<div class="modal fade" id="bootstrap-modal" tabindex="-1" role="dialog" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="bootstrap-modal-title">Chargement...</h4>
            </div>
            <div class="modal-body">
                <i class="fa fa-spinner fa-spin"></i>
            </div>
        </div>
    </div>
</div>

<div id="ajaxResult"></div>

{#<div id="overlay">#}
{#<img id="loading" src="{{ asset('bundles/app/images/spinner.gif') }}">#}
{#</div>#}

{% block javascripts %}
    <script src="{{ asset('bundles/app/js/jquery-2.1.4.js') }}"></script>
    <script src="{{ asset('bundles/app/js/bootstrap.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap3-dialog/1.34.7/js/bootstrap-dialog.min.js"></script>
    <script src="{{ asset('bundles/app/js/bootstrap-datepicker.js') }}"></script>
    <script src="{{ asset('bundles/app/js/bootstrap-datepicker.fr.js') }}"></script>
    <script src="{{ asset('bundles/app/js/bootstrap-datetimepicker.js') }}"></script>
    <script src="{{ asset('bundles/app/js/bootstrap-datetimepicker.fr.js') }}"></script>
    <script src="{{ asset('bundles/app/js/rails.js') }}"></script>
    <script src="{{ asset('bundles/fosjsrouting/js/router.min.js') }}"></script>
    <script src="{{ path('fos_js_routing_js', { callback: 'fos.Router.setData' }) }}"></script>
    <script src="{{ asset('bundles/app/js/citoyen.js') }}"></script>
    <script src="{{ asset('bundles/app/js/document.js') }}"></script>
    <script src="{{ asset('bundles/app/js/event.js') }}"></script>
    <script src="{{ asset('bundles/app/js/app-form.js') }}"></script>
    <script src="{{ asset('build/app.js') }}"></script>
    {#{{ encore_entry_script_tags('app') }}#}
    {#<script src="{{ asset('bundles/fosckeditor/ckeditor.js') }}"></script>#}
{% endblock %}

</body>
</html>